OpenVDB 13.0.0

Loading...
Searching...
No Matches
pnanovdb_grid_t Struct Reference

`#include <nanovdb/PNanoVDB.h>`

## Public Attributes
pnanovdb_uint64_t | magic
pnanovdb_uint64_t | checksum
pnanovdb_uint32_t | version
pnanovdb_uint32_t | flags
pnanovdb_uint32_t | grid_index
pnanovdb_uint32_t | grid_count
pnanovdb_uint64_t | grid_size
pnanovdb_uint32_t | grid_name [256/4]
pnanovdb_map_t | map
double | world_bbox [6]
double | voxel_size [3]
pnanovdb_uint32_t | grid_class
pnanovdb_uint32_t | grid_type
pnanovdb_int64_t | blind_metadata_offset
pnanovdb_uint32_t | blind_metadata_count
pnanovdb_uint32_t | data0
pnanovdb_uint64_t | data1
pnanovdb_uint64_t | data2

## Member Data Documentation

## ◆ blind_metadata_count

pnanovdb_uint32_t blind_metadata_count

## ◆ blind_metadata_offset

pnanovdb_int64_t blind_metadata_offset

## ◆ checksum

pnanovdb_uint64_t checksum

## ◆ data0

pnanovdb_uint32_t data0

## ◆ data1

pnanovdb_uint64_t data1

## ◆ data2

pnanovdb_uint64_t data2

## ◆ flags

pnanovdb_uint32_t flags

## ◆ grid_class

pnanovdb_uint32_t grid_class

## ◆ grid_count

pnanovdb_uint32_t grid_count

## ◆ grid_index

pnanovdb_uint32_t grid_index

## ◆ grid_name

pnanovdb_uint32_t grid_name[256/4]

## ◆ grid_size

pnanovdb_uint64_t grid_size

## ◆ grid_type

pnanovdb_uint32_t grid_type

## ◆ magic

pnanovdb_uint64_t magic

## ◆ map

pnanovdb_map_t map

## ◆ version

pnanovdb_uint32_t version

## ◆ voxel_size

double voxel_size[3]

## ◆ world_bbox

double world_bbox[6]